Subject: RE: [Megaco] A question about DTMF erasion

From: "Kevin Boyle" <[email-masked]>
Date: Mon, 5 Dec 2005 14:37:52 -0500

RFC2833 is the industry standard for dealing with exactly the kind of
scenario you are describing.  I think that if an implementation is going
to support a compressive, lossy codec that it needs to implement this
standard.
 
I am not sure why an external user would need to dial an external number
on a PBX.  Why not just dial the number directly?  I am not sure I
understand your scenario.  It seems to me that the only ones that would
be wanted to access a PBX in the way described here are those who are
served by the PBX.  In which case the PBX would be the originating end
of the call, not the terminating end of the call.
 
If the MG alters the bearer stream, there are many potential
consequences that are not being accounted for: what if there are other
sounds on the line that are intended to pass end-to-end?  By removing
the digits, the other data encoded with the stream is altered.  Further,
there are many localities that require that media be unchanged, for the
purposes of emergency services and lawful intercept.
 
I believe that the MG should not alter the bearer stream and the digits
should pass through.
 
Kevin

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of [email-masked]
	Sent: Monday, December 05, 2005 7:20 AM
	To: [email-masked]
	Subject: RE: [Megaco] A question about DTMF erasion

	Hi Kevin: 
	
	   If the the called is an PBX(connected to the called MG's
analog line),and caller&called used G.723 to communication. Then caller
may need to dail external phone number. The called PBX may can not
detect the digit signal even though the digit signal is transmitted
within the voice stream, because the signal is distorted when coded into
G.723. But the called PBX still has the chance to detect the digit
because sometimes the signal is not so distorted. 
	   So there are risks in transmite digit within the media
stream. 
	   The responsibility of digit transmition falls on the MGC
(forget RFC2833,suppose both MGs don't support RFC2833). The MGC may use
packet 'dd' to request MG to detect digits and used packet 'tonegen' to
request the called MG to play digit signal to the called PBX. 
	   From my view,  Once the MGC decide to collect numbers from
MG, the MG SHOULD automatically erase the digit signal from the sending
media stream to avoid repeated digits(one from media stream, another
from signal). 

	Message: 2
	Date: Thu, 1 Dec 2005 04:23:01 -0500
	From: "Kevin Boyle" <[email-masked]>
	Subject: RE: [Megaco] A question about DTMF erasion
	To: <[email-masked]>, <[email-masked]>
	Message-ID: <34B3EAA5B3066A42914D28C5ECF5FEA40573F813@zrtphxm2>
	
	I have thought about this some, and my thoughts are that the MG
would
	NOT remove the digits from the stream.  Think about what happens
when
	the keypad is pressed while in an active call: The digit tones
are
	carried all the way to the far end, even if there is something
in the
	middle detecting the digits.  Therefore, I believe that the MG
would not
	alter the media stream.  It would be incumbent upon the MGC to
ensure
	that the digit collection is done at an appropriate place in the
	network, and to discard a repeated digit that is caused by dual
	collection.
	
	Kevin

	________________________________
	
	                From: [email-masked]
	[mailto:[email-masked]] 
	                Sent: Monday, November 28, 2005 11:50 PM
	                To: [email-masked]; Boyle, Kevin
[NCRTP:3Z40:EXCH]
	                Subject: RE: [Megaco] A question about DTMF
erasion

	                Hi Kevin: 
	                   I think You may have misunderstood my
question. May be I have
	not clearified the 
	                situation. 
	                
	                   What I mean is : One MG has been requested to
collect digits,
	and The MG detects 
	                a digit from the user's sending media stream.
Then MG report the
	digit to MGC by 
	                signaling or hold the digit . But what confused
me is whether
	the MG should 
	                automatically erase the DTMF signal from the
sending media
	stream or Not. 
	                    
	                   If the MG do not erase the DTMF signal from
the sending media
	stream, The called 
	                may receive repeated numbers: One from
signaling, the other
	comes from The caller's 
	                Media stream. 
	                    
	                   I wonder if there are some rules defining how
to handle this
	kind of situation. 
	                  
	                   Looking forward to your reply! 
	                        
	                   BEST REGARD! 
	                
	                   ShiCao 
	                Message: 3
	                Date: Sat, 26 Nov 2005 12:21:52 -0500
	                From: "Kevin Boyle" <[email-masked]>
	                Subject: RE: [Megaco] A question about DTMF
erasion
	                To: <[email-masked]>,
<[email-masked]>
	                Message-ID:
<34B3EAA5B3066A42914D28C5ECF5FEA4055D11DB@zrtphxm2>
	                
	                Once a digit is reported to the MGC, I cannot
think of a case
	where the
	                MG should transmit that digit again.  There are
explicit
	statements in
	                the digit collection rules about when to hold
digits and when to
	discard
	                them.
	                
	                Kevin

	                ________________________________
	                
	                                From: [email-masked]
	[mailto:[email-masked]]
	                On Behalf Of [email-masked]
	                                Sent: Thursday, November 24,
2005 7:16 AM
	                                To: [email-masked]
	                                Subject: [Megaco] A question
about DTMF erasion

	                                Hi: 
	                                
	                                  These days we encoute with
such a problem: the
	caller recevied
	                repeated numbers due to the missunderstanding of
DTMF erasion. 
	                                  
	                                  If Softswitch has requested MG
to collect
	numbers , should MG
	                automatically enable DTMF erasion? 
	                                    
	                                  Is any packets defining
enbable/disable MG's
	DTMF erasion? 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: [email-masked]
Date: Mon, 5 Dec 2005 21:17:34 +0100

Kevin, all,

just stared to work on "Examples for reading and/or resetting statistics".

I detected a copy&paste error in the correction description of § 6.4, which
is a copy of § 6.6.

http://ftp3.itu.int/av-arch/avc-site/2005-2008/0511_Gen/TD-46a.zip
H.248 Subseries Implementors' Guide
§ 6.4 Clarification of statistic reset capability

... so, readers should not be confused.
Albrecht